
Sistema de Inventario - Feature #15

Implementar un motor de búsqueda más inteligente (búsqueda avanzada) en donde se pueda buscar

dentro de los campos a seleccionar.

10/07/2015 01:52 PM - Joaquín Verástegui

Status: Closed Start date: 11/05/2015

Priority: Normal Due date: 11/12/2015

Assignee: Fiorella Quino % Done: 100%

Category:  Estimated time: 8.00 hours

Target version: Version 1.0 Spent time: 18.00 hours

Description

History

#1 - 10/07/2015 01:56 PM - Joaquín Verástegui

- Tracker changed from Bug to Feature

- Due date set to 10/22/2015

- Estimated time set to 8.00 h

#2 - 10/20/2015 03:55 PM - Fiorella Quino

- Due date changed from 10/22/2015 to 11/12/2015

#3 - 10/20/2015 04:05 PM - Fiorella Quino

- Start date changed from 10/07/2015 to 11/05/2015

#4 - 11/16/2015 05:01 PM - Fiorella Quino

- Status changed from New to In progress

- % Done changed from 0 to 70

Se agregó check_boxes para que el usuario pueda elegir si buscar en Inventario, BOMs o Solicitudes de Compra:

check_f = forms.BooleanField(required=False, initial=True, label=_(u'Fungible'))

check_bom = forms.BooleanField(required=False, label=_(u'BOM'))

check_p = forms.BooleanField(required=False,label=_(u'Purchase Request'))

#5 - 11/18/2015 10:55 AM - Fiorella Quino

- Target version set to Version 1.0

#6 - 11/19/2015 01:52 PM - Fiorella Quino

- % Done changed from 70 to 80

#Lista de 2 letras que filtra campos: Fungible, Budget, Purchase y BOM

(forms)

check_f = forms.BooleanField(required=False, initial = True, label=(u'Fungible'))

check_bom = forms.BooleanField(required=False, label=(u'BOM'))

check_p = forms.BooleanField(required=False, label=(u'Purchase Request'))

check_budget = forms.BooleanField(required=False, label=(u'Budget'))
(views)

check_f = forms.BooleanField(required=False, initial = True, label=(u'Fungible'))

check_bom = forms.BooleanField(required=False, label=(u'BOM'))

check_p = forms.BooleanField(required=False, label=(u'Purchase Request'))

check_budget = forms.BooleanField(required=False, label=(u'Budget'))

filter_list=[]

checkf = False

checkbom = False

checkp = False

checkbudget = False

    if ('check_f' in request.GET):

        checkf = bool(request.GET['check_f'])

        if checkf == True:

            filter_list=filter_list+["FU"]

    if ('check_bom' in request.GET):

        checkbom = bool(request.GET['check_bom'])

        if checkbom == True:

            filter_list=filter_list+["BI"]+["LI"]

    if ('check_p' in request.GET):

        checkp = bool(request.GET['check_p']) 

        if checkp == True:

            filter_list=filter_list+["PU"]+["AR"]+["SO"]+["OR"]

    if ('check_budget' in request.GET):

        checkbudget = bool(request.GET['check_budget'])

        if checkbudget == True:

            filter_list=filter_list+["BU"]+["PR"]

    valor_checkbox = {'q': query_string, 'check_f' : checkf, 'check_bom' : checkbom, 'check_p' : checkp, 'chec

k_budget' : checkbudget}        

    form = SearchForm(initial=valor_checkbox)
#7 - 11/30/2015 05:35 PM - Fiorella Quino

- Status changed from In progress to Resolved

- % Done changed from 80 to 100

Cambios se encuentran en el servidor de producción.

#8 - 02/18/2016 09:40 AM - Fiorella Quino

- Status changed from Resolved to Closed
